Subject: Re: [PATCH RFC 25/28] Documentation: DSA: Describe how probe of DSA and switches work.

From: Andrew Lunn <[email-masked]>
Date: Fri, 25 Dec 2015 11:00:02 +0100

> > It sounds like you want to 'optimise' for a DSA cluster consisting of
> > a single switch, throwing away the D in DSA. Now the SF2 is a bit
> > 'odd'. Since it is embedded in the SoC, you cannot have multiple of
> > them in a cluster. So such an optimization could make sense for the
> > SF2. But can we do this without adding too more complexity?
> 
> The distributed case is the complex one, the one with a single switch
> hanging off an Ethernet MAC is the most common one and is much simpler
> to deal with.

Sure, boards with multiple switches don't happen very often, but they
do exist. If we can solve the general case, a single switch just
works. The reverse is not true. Which is why i've been doing all my
development work on a board with three switches. And in theory, i
could even partition these into two DSA clusters!

	    Andrew